Subject: Re: Continual reading from the PowerPc time base register is not stable

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 22 Apr 2010 10:50:16 +1000

On Wed, 2010-04-21 at 19:44 -0500, Kim Phillips wrote:
> I took an 8377 rdb board, and let it run timebase.c (with the isync &
> long long casts) all weekend, and have failed to reproduce the issue.
> That was on linux 2.6.33, and I've got another machine running the
> same
> thing under 2.6.28 for the last couple of hours, still unable to
> reproduce the issue.

Do we need to add an isync to the vdso and kernel gettimeofday() ?

Cheers,
Ben.